using UnityEngine;

namespace RebootKit.Engine.Foundation {
    public interface IFactory<out TProd> {
        TProd Create();
    }

    public abstract class FactoryAsset<TProd> : ScriptableObject, IFactory<TProd> where TProd : class {
        public abstract TProd Create();
    }
}